START TRANSACTION(7)

NAME
START TRANSACTION - start a transaction block

SYNOPSIS

START TRANSACTION [ transaction_mode [, ...] ]

where transaction_mode is one of:

    ISOLATION LEVEL { SERIALIZABLE | REPEATABLE READ | READ COMMITTED | READ UNCOMMITTED }
    READ WRITE | READ ONLY

DESCRIPTION

This command begins a new transaction block. If the isolation level or read/write mode is specified, the new transaction has those characteristics, as if SET TRANSACTION [set_transaction(7)] was executed. This is the same as the BEGIN [begin(7)] command.

PARAMETERS

Refer to SET TRANSACTION [set_transaction(7)] for information on the meaning of the parameters to this statement.

COMPATIBILITY

In the standard, it is not necessary to issue START TRANSACTION to start a transaction block: any SQL command implicitly begins a block. PostgreSQL's behavior can be seen as implicitly issuing a COMMIT after each command that does not follow START TRANSACTION (or BEGIN), and it is therefore often called ``autocommit''. Other relational database systems might offer an autocommit feature as a convenience.

The SQL standard requires commas between successive transaction_modes, but for historical reasons PostgreSQL allows the commas to be omitted.

See also the compatibility section of SET TRANSACTION [set_transaction(7)].

SEE ALSO
BEGIN [begin(7)], COMMIT [commit(7)], ROLLBACK [rollback(7)], SAVEPOINT [savepoint(7)], SET TRANSACTION [set_transaction(7)]